#
# spec file for package yast2-irda (Version 2.13.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-irda
Version:        2.13.1
Release:        14.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-irda-2.13.1.tar.bz2
prefix:		/usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer sgml-skel update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2
BuildArchitectures:	noarch
Summary:        YaST2 - Infra-Red (IrDA) Access Configuration

%description
The YaST2 component for configuring the Infra-Red Data Access (IrDA)
stack.



Authors:
--------
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-irda-2.13.1

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/irda
/usr/share/YaST2/include/irda/*
/usr/share/YaST2/clients/irda.ycp
/usr/share/YaST2/modules/Irda.*
%{prefix}/share/applications/YaST2/irda.desktop
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-irda

%changelog -n yast2-irda
* Sun Feb 19 2006 - jsrain@suse.cz
- updated BuidRequires (removed yast2-devel-packages macro)
- 2.13.1
* Tue Dec 20 2005 - jsuchome@suse.cz
- new version for new product version
- 2.13.0
* Thu Jul 28 2005 - jsuchome@suse.cz
- updated desktop file
- 2.12.1
* Thu Mar 31 2005 - jsuchome@suse.cz
- save changes done via command-line interface
- changed name in desktop file (#71005)
- added testsuite
- 2.12.0
* Wed Mar 02 2005 - jsuchome@suse.cz
- merged texts from proofread
* Mon Feb 07 2005 - jsuchome@suse.cz
- merged texts from proofread
- 2.11.2
* Thu Nov 18 2004 - jsuchome@suse.cz
- possibility to modify MAX_BAUD_RATE (#40814)
- ask for creating the pilot link
- 2.11.1
* Tue Nov 09 2004 - jsuchome@suse.cz
- created link for /dev/pilot (#47804)
- 2.11.0
* Fri Oct 29 2004 - jsuchome@suse.cz
- fixed desktop file (#45990)
* Thu Sep 23 2004 - jsuchome@suse.cz
- do not rewrite sysconfig/irda file with empty one (#45353)
- 2.10.3
* Wed Sep 01 2004 - jsuchome@suse.cz
- updated desktop file
- 2.10.2
* Mon Aug 16 2004 - jsuchome@suse.cz
- 2.10.1
* Tue Aug 10 2004 - jsuchome@suse.cz
- merged proofread texts
* Thu Aug 05 2004 - jsuchome@suse.cz
- added basic documentation
* Thu Jul 29 2004 - jsuchome@suse.cz
- initial help text
- fix writing
- show also /proc/net/irda/discovery during test
* Wed Jul 21 2004 - jsuchome@suse.cz
- initial version
